Bug 1873676 - Review Request: lua-rpm-macros - The common Lua RPM macros
Summary: Review Request: lua-rpm-macros - The common Lua RPM macros
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1447324
Blocks: 1455344 1455345
TreeView+ depends on / blocked
 
Reported: 2020-08-29 02:38 UTC by Michel Alexandre Salim
Modified: 2020-09-18 16:57 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-09-18 15:28:33 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Michel Alexandre Salim 2020-08-29 02:38:34 UTC
Spec URL: https://salimma.fedorapeople.org/specs/lua/lua-rpm-macros.spec
SRPM URL: https://salimma.fedorapeople.org/specs/lua/lua-rpm-macros-1-1.fc32.src.rpm
Description: 
This package contains Lua RPM macros.

You should not need to install this package manually as lua-devel requires* it.

* will require it once lua is refactored after this lands

Fedora Account System Username: salimma

Comment 1 Robert-André Mauchin 🐧 2020-08-29 12:20:53 UTC
 - You should provides a MIT license file (as required by this license) or maybe you can add a header in each macros files.


Package approved. Please fix the aforementioned issue before import.

Also I assume you have already talked to the lua-devel maintainer. If not, talk to them before importing this package.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[-]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 1 files have unknown license. Detailed
     output of licensecheck in /home/bob/packaging/review/lua-rpm-
     macros/review-lua-rpm-macros/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: lua-srpm-macros-1-1.fc34.noarch.rpm
          lua-rpm-macros-1-1.fc34.src.rpm
lua-srpm-macros.noarch: W: no-url-tag
lua-srpm-macros.noarch: W: only-non-binary-in-usr-lib
lua-srpm-macros.noarch: W: no-documentation
lua-rpm-macros.src: W: no-url-tag
2 packages and 0 specfiles checked; 0 errors, 4 warnings.

Comment 2 Miro Hrončok 2020-08-29 16:07:52 UTC
See also https://src.fedoraproject.org/rpms/lua/blob/master/f/lua.attr

Comment 3 Miro Hrončok 2020-08-29 17:20:46 UTC
BTW

> # For directory structure
> Requires:       redhat-rpm-config


The directory is owned by rpm, not redhat-rpm-config.

Comment 4 Michel Alexandre Salim 2020-08-30 02:29:04 UTC
(In reply to Robert-André Mauchin 🐧 from comment #1)
>  - You should provides a MIT license file (as required by this license) or
> maybe you can add a header in each macros files.
> 
Yeah. I considered adding one, but noticed python-rpm-macros also didn't have one. A bit stumped on what to put in the copyright line, but I can probably just put Fedora Project.

> 
> Package approved. Please fix the aforementioned issue before import.
> 
> Also I assume you have already talked to the lua-devel maintainer. If not,
> talk to them before importing this package.
> 
I'll cc: spot directly as he's the main admin for the package (heh, didn't notice I'm also an admin for it).

Thanks!

❯ fedpkg request-repo lua-rpm-macros 1873676                                                     
https://pagure.io/releng/fedora-scm-requests/issue/28104

Comment 5 Igor Raits 2020-08-30 14:41:00 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/lua-rpm-macros

Comment 6 Michel Alexandre Salim 2020-09-02 22:26:02 UTC
Testing mail forwarding to new SIG

Comment 7 Fedora Update System 2020-09-03 02:33:32 UTC
FEDORA-EPEL-2020-97b6a71d6d has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-97b6a71d6d

Comment 8 Fedora Update System 2020-09-03 02:33:32 UTC
FEDORA-EPEL-2020-1ced3b21fb has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-1ced3b21fb

Comment 9 Fedora Update System 2020-09-03 02:33:33 UTC
FEDORA-EPEL-2020-f54c46aaf2 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-f54c46aaf2

Comment 10 Fedora Update System 2020-09-03 16:41:24 UTC
FEDORA-EPEL-2020-97b6a71d6d has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-97b6a71d6d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2020-09-03 16:51:16 UTC
FEDORA-EPEL-2020-f54c46aaf2 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-f54c46aaf2

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2020-09-03 17:20:28 UTC
FEDORA-EPEL-2020-1ced3b21fb has been pushed to the Fedora EPEL 6 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-1ced3b21fb

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2020-09-18 15:28:33 UTC
FEDORA-EPEL-2020-97b6a71d6d has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2020-09-18 15:30:33 UTC
FEDORA-EPEL-2020-f54c46aaf2 has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 15 Fedora Update System 2020-09-18 16:57:26 UTC
FEDORA-EPEL-2020-1ced3b21fb has been pushed to the Fedora EPEL 6 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.